from dataclasses import dataclass, field


@dataclass
class PosterInfo:
    aliases: set[str] = field(default_factory=set)
    description: str = field(default='')


POSTER_INFO_DATA: dict[str, PosterInfo] = {}


def register_poster_info(channel: str, info: PosterInfo):
    POSTER_INFO_DATA[channel] = info

